#include "cg.h"

__kernel void makea_7(__global int *rowstr,
                      __global int *iv,
                      int nrows,
                      int nz)
{
  int j = get_global_id(0) + 1;
  if (j >= (nrows+1)) return;

  __global int *nzloc = &iv[nz];

  rowstr[j] = rowstr[j] - nzloc[j-1];
}


